org.eclipse.mat.snapshot

## Class MultipleSnapshotsException.Context

- java.lang.Object
- - org.eclipse.mat.snapshot.MultipleSnapshotsException.Context

All Implemented Interfaces:
  Serializable

Enclosing class:
  MultipleSnapshotsException

    public static class MultipleSnapshotsException.Context
    extends Object
    implements Serializable

Experimental - the form and name of this class is subject to change

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Context(String runtimeId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addOption(String optionString)`
`String` `getDescription()`
`List<String>` `getOptions()`
`String` `getRuntimeId()`
`String` `getVersion()`
`void` `setDescription(String description)`
`void` `setRuntimeId(String runtimeId)`
`void` `setVersion(String version)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Context

    public Context(String runtimeId)

### Method Detail

#### getRuntimeId

    public String getRuntimeId()

#### setRuntimeId

    public void setRuntimeId(String runtimeId)

#### getVersion

    public String getVersion()

#### setVersion

    public void setVersion(String version)

#### addOption

    public void addOption(String optionString)

#### getOptions

    public List<String> getOptions()

#### getDescription

    public String getDescription()

#### setDescription

    public void setDescription(String description)